Bug 202380 - Pixel dithering on nVidia GeForce Go 7300
Pixel dithering on nVidia GeForce Go 7300
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nv (Show other bugs)
6
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Jackson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-13 21:07 EDT by Phil Schaffner
Modified: 2008-01-15 09:39 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-15 09:39:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/var/log/Xorg.0.log with problem (42.29 KB, text/plain)
2006-08-20 06:10 EDT, Phil Schaffner
no flags Details

  None (edit)
Description Phil Schaffner 2006-08-13 21:07:58 EDT
Description of problem:
When X is started the screen is often corruped with "dithered pixels".
Grephics look rough around the edges and small fonts are unreadable.
The proprietary nVidia driver from ATrpms does not suffer from this
problem.  The problem is much more bothersome when it happens on install as it
requires a restart or text install.  The same problem occurs under FC5 and FC6T1.

System is a Lenovo 3000 N100 laptop.

Version-Release number of selected component (if applicable):
xorg-x11-drv-nv-1.2.0-3.fc6

How reproducible:
Happens frequently, not always; but problem is always resolved by restarting X
one or more times.

Steps to Reproduce:
1. Start x from installer, command line, or runlevel 5.
2.
3.
  
Actual results:
Screen is often corrupded with dithered pixels, unreadable fonts.

Expected results:
Clean X display.

Additional info:
# lspci
00:00.0 Host bridge: Intel Corporation Mobile 945GM/PM/GMS/940GML and 945GT
Express Memory Controller Hub (rev 03)
00:01.0 PCI bridge: Intel Corporation Mobile 945GM/PM/GMS/940GML and 945GT
Express PCI Express Root Port (rev 03)
00:1b.0 Audio device: Intel Corporation 82801G (ICH7 Family) High Definition
Audio Controller (rev 02)
00:1c.0 PCI bridge: Intel Corporation 82801G (ICH7 Family) PCI Express Port 1
(rev 02)
00:1c.1 PCI bridge: Intel Corporation 82801G (ICH7 Family) PCI Express Port 2
(rev 02)
00:1d.0 USB Controller: Intel Corporation 82801G (ICH7 Family) USB UHCI #1 (rev 02)
00:1d.1 USB Controller: Intel Corporation 82801G (ICH7 Family) USB UHCI #2 (rev 02)
00:1d.2 USB Controller: Intel Corporation 82801G (ICH7 Family) USB UHCI #3 (rev 02)
00:1d.3 USB Controller: Intel Corporation 82801G (ICH7 Family) USB UHCI #4 (rev 02)
00:1d.7 USB Controller: Intel Corporation 82801G (ICH7 Family) USB2 EHCI
Controller (rev 02)
00:1e.0 PCI bridge: Intel Corporation 82801 Mobile PCI Bridge (rev e2)
00:1f.0 ISA bridge: Intel Corporation 82801GBM (ICH7-M) LPC Interface Bridge
(rev 02)
00:1f.2 IDE interface: Intel Corporation 82801GBM/GHM (ICH7 Family) Serial ATA
Storage Controller IDE (rev 02)
00:1f.3 SMBus: Intel Corporation 82801G (ICH7 Family) SMBus Controller (rev 02)
01:00.0 VGA compatible controller: nVidia Corporation Quadro NVS 110M / GeForce
Go 7300 (rev a1)
03:00.0 Network controller: Intel Corporation PRO/Wireless 3945ABG Network
Connection (rev 02)
05:01.0 Ethernet controller: Realtek Semiconductor Co., Ltd.
RTL-8139/8139C/8139C+ (rev 10)
05:04.0 CardBus bridge: ENE Technology Inc CB1410 Cardbus Controller (rev 01)
05:06.0 FireWire (IEEE 1394): Ricoh Co Ltd Unknown device 0832
05:06.1 Class 0805: Ricoh Co Ltd R5C822 SD/SDIO/MMC/MS/MSPro Host Adapter (rev 19)
05:06.2 System peripheral: Ricoh Co Ltd Unknown device 0843 (rev 01)
05:06.3 System peripheral: Ricoh Co Ltd R5C592 Memory Stick Bus Host Adapter
(rev 0a)
05:06.4 System peripheral: Ricoh Co Ltd xD-Picture Card Controller (rev 05)
Comment 1 Adam Jackson 2006-08-14 09:49:09 EDT
Please attach /var/log/Xorg.0.log from a run of X that displays the problem.

Also, try adding the line

Option "FPTweak" "-1"

to xorg.conf under the line for Driver "nv".
Comment 2 Phil Schaffner 2006-08-14 22:34:35 EDT
Naturally, after seeing the problem consistently before reporting, I can't
reproduce it now. Perhaps recent updates fixed it.  Leaving FPTweak line
commented out for now.  If the problem does not recurr will close this bug.
Comment 3 Phil Schaffner 2006-08-20 06:10:03 EDT
Created attachment 134524 [details]
/var/log/Xorg.0.log with problem
Comment 4 Phil Schaffner 2006-08-20 06:12:25 EDT
Have managed to replicate the pixel dithering problem and submitted the log
file; however, I doubt it shows anything unique to the problem.  I have
discoverec that switching fromn X to a virtual console and back will "toggle"
the problem more or less randomnly without any effect in the log.  No such
problems with the nVidia driver rebuilt from Axel Thimm's kmdl src.rpm.
Comment 5 Matthew Miller 2007-04-06 12:35:14 EDT
Fedora Core 5 and Fedora Core 6 are, as we're sure you've noticed, no longer
test releases. We're cleaning up the bug database and making sure important bug
reports filed against these test releases don't get lost. It would be helpful if
you could test this issue with a released version of Fedora or with the latest
development / test release. Thanks for your help and for your patience.

[This is a bulk message for all open FC5/FC6 test release bugs. I'm adding
myself to the CC list for each bug, so I'll see any comments you make after this
and do my best to make sure every issue gets proper attention.]
Comment 6 Phil Schaffner 2007-04-11 09:51:02 EDT
The issue is still present in current FC6 with updates.  It is a minor annoyance
with the work-around of switching to a virtual console and back, and is not
present with the proprietary nvidia driver.

Comment 7 Matthew Miller 2007-04-11 09:54:02 EDT
thanks.
Comment 8 Matěj Cepl 2007-12-10 04:22:12 EST
Fedora Core 6 is no longer supported, could you please reproduce this with the
updated version of the currently supported distribution (Fedora 7, 8, or
Rawhide)? If this issue turns out to still be reproducible, please let us know
in this bug report. If after a month's time we have not heard back from you, we
will have to close this bug as CANTFIX.

Setting status to NEEDINFO, and awaiting information from the reporter.

[This is mass-filed message to all open Fedora Core 6 bugs related to Xorg or
Gecko. If you see any other reason, why this bug shouldn't be closed, please,
comment on it here.]
Comment 9 Matěj Cepl 2008-01-15 09:39:15 EST
Since there are insufficient details provided in this report for us to
investigate the issue further, and we have not received feedback to the
information we have requested above, we will assume the problem was not
reproducible, or has been fixed in one of the updates we have released for the
reporter's distribution.

Users who have experienced this problem are encouraged to upgrade to the latest
update of their distribution, and if this issue turns out to still be
reproducible in the latest update, please reopen this bug with additional
information.

Closing as INSUFFICIENT_DATA.

{This is mass-closing of all obsolete bugs; if this bug was in your opinion
closed by mistake, please, reopen it with additional information; thanks a lot
and I am sorry for bothering you in such case.}

Note You need to log in before you can comment on or make changes to this bug.